The last Mockups release of 2010

Hello friends!

Here's a tiny little release before we break for the holidays.

What's new:

  • All versions: fixed a bad bug when using Checkbox Group and Radio Button Group controls without specifying any text next to each checkbox. Thanks to Paul Campbell for reporting this via email.
  • All versions: improved UI Library performance, which makes the whole app feel snappier, especially when switching from one Mockup to another. Try it!
  • Mockups for Confluence: added the ability to disable the plugin without uninstalling it. This helps our friends at Atlassian and their JIRA Studio customers.
  • Mockups for JIRA: same as above, you can now disable the plugin by using a special key.

That's it!

This is a small release even by our standards, but we didn't want these issues to just sit there unfixed for the holidays...

How do I update?

Easy! Just install from our download page on top of your current installation. You won't have to re-register.

As always, if you hit any snags with the new build let us know immediately and we'll fix it right up! 🙂

For posterity, these are the version numbers of today's release:

  • Mockups for Desktop: version 2.0.10 . You might hit this one-time error if you haven't updated in a long time.
  • Mockups for Confluence: version 2.0.10
  • Mockups for JIRA: version 2.0.11
  • Mockups for XWiki: version 2.0.9
  • Mockups for FogBugz: version 2.0.12
  • Web Demo: version 2.0.9 launch it

If I get around to it, I'll be writing a "looking back at 2010 / goals for 2011" post soon.

In the meantime, MERRY CHRISTMAS and HAPPY NEW YEAR from all of us at Balsamiq! Yay for recharging batteries! 🙂

Peldi for the Balsamiq Team.

Get the Inside Scoop

We'll send you just one email a month and share a ton of information that you'll get before everyone else. More info about the newsletter here.

We'll never share your email address or spam you.

Leave a Comment

Your email is never published nor shared.

Comments (3)

  1. When i try to install i get the following error:

    “This application cannot be installed because this installer has been mis-configured. Please contact the application author for assistance.”

    Any ideas?

    [Peldi: it’s a one-time pain only for users who haven’t updated in a while. http://balsamiq.com/support/faq has the details, a quick uninstall and reinstall will fix it.]

    Gavin Cooney
  2. Even though it says 2.0.1.0 in the Flash download widget, it is still 2.0.9 (or reporting itself as such) and says it is the same version as currently installed.

    [Peldi: looks good here. Maybe you’re getting a version that was cached somewhere along the way? Try http://builds.balsamiq.com/b/mockups-desktop/MockupsForDesktop.air or http://dl.dropbox.com/u/41723/builds/1.8/MockupsForDesktop.air%5D

  3. Merry Christmas to you too Balsamiq team.